Package org.wildfly.plugin.core

## Class DeploymentResult

- java.lang.Object
- - org.wildfly.plugin.core.DeploymentResult

-     @Deprecated(forRemoval=true)
      public class DeploymentResult
      extends Object

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  Represents the results of a deployment.
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.jboss.dmr.ModelNode` | `asModelNode()` | Deprecated, for removal: This API element is subject to removal in a future version. The result from the deployment operation.
    `void` | `assertSuccess()` | Deprecated, for removal: This API element is subject to removal in a future version. Checks to see if the deployment was successful and if not throws a `DeploymentException` with the failure message.
    `String` | `getFailureMessage()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the failure message if the deployment was not successful.
    `boolean` | `successful()` | Deprecated, for removal: This API element is subject to removal in a future version. Determines if the deployment was successful or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### successful

          public boolean successful()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Determines if the deployment was successful or not.
      Returns:
        `true` if the deployment was successful, otherwise `false`

    - #### assertSuccess

          public void assertSuccess()
                             throws DeploymentException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Checks to see if the deployment was successful and if not throws a `DeploymentException` with the failure message.
      Throws:
        `DeploymentException` - if the deployment was not successful

    - #### getFailureMessage

          public String getFailureMessage()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the failure message if the deployment was not successful.
      Returns:
        the failure description or `null` if the deployment was successful.

    - #### asModelNode

          public org.jboss.dmr.ModelNode asModelNode()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The result from the deployment operation.

      In some cases the result may be undefined.

      Returns:
        the result